#ifdef _8026W_EXPORTS
	#define I8026WAPI __declspec(dllexport) 
#else
	#define I8026WAPI __declspec(dllimport) 
#endif
	





#ifdef __cplusplus
extern "C" {
#endif

#define NoError 					0
#define ID_ERROR					-1
#define SLOT_ERROR					-2
#define CHANNEL_ERROR				-3
#define GAIN_ERROR					-4

I8026WAPI 	void pac_i8026W_Set_AVGCnt(int slot, unsigned short cnt);
I8026WAPI 	void pac_i8026W_SetDelay( short dly);
I8026WAPI 	short pac_i8026W_GetDelay( );
I8026WAPI short pac_i8026W_TEST(int slot, int chIndex, short gain, float * f );
// basic api 
I8026WAPI short pac_i8026W_Init(int slot);
I8026WAPI short pac_i8026W_GetLibVersion(void);
I8026WAPI void pac_i8026W_GetLibDate(char libDate[]);
I8026WAPI short pac_i8026W_GetFirmwareVer(int slot);


// AO output API

I8026WAPI void pac_i8026W_ReadAO_GainOffset(int slot,int chIndex,short gain,unsigned short *gainValue, short *offsetValue);
I8026WAPI short pac_i8026W_WriteAOHex (int slot ,int chIndex,short gain,short hexData);
I8026WAPI short pac_i8026W_WriteAO (int slot ,int chIndex,short gain,float aoData);
I8026WAPI short pac_i8026W_ReadbackAO (int slot ,int chIndex, float* aoFVal);
I8026WAPI short pac_i8026W_ReadbackAOHex (int slot ,int chIndex, short* aoHVal);


// DIO API

I8026WAPI void pac_i8026W_WriteDO(int slot, short doVal);
I8026WAPI void pac_i8026W_WriteDOBit(int slot,int chIndex, short bitVal);
I8026WAPI short pac_i8026W_ReadDIO(int slot, short* diVal, short* doVal,unsigned char diBitArr[], unsigned char doBitArr[]);


// AI API
I8026WAPI short pac_i8026W_ReadAIGainOffset(int slot,int ch, int gain,unsigned short *gainValue,short *offsetValue);
I8026WAPI short pac_i8026W_ReadAIHex(int slot, int chIndex, short Gain, short* hVal);
I8026WAPI short pac_i8026W_ReadAI(int slot, int chIndex, short gain, float* fVal);
I8026WAPI void  pac_i8026W_Set_AVGCnt(int slot, unsigned short cnt);


#ifdef __cplusplus
 }
#endif

